
%global meadversion 1.0.5
%global namedversion 1.0.5.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-sasl}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.5.Final-redhat-2

Name:           %{?scl_prefix}jboss-sasl
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:        SASL Provider for J2SE 
License:        LGPLv2+
URL:            https://github.com/jboss-remoting/jboss-sasl 
Group:          Development/Libraries

%if %with mead
Source100: jboss-sasl-1.0.5.Final-redhat-2-scm-sources.zip
Source102: jboss-sasl-1.0.5.Final-redhat-2-sources.jar
Source103: jboss-sasl-1.0.5.Final-redhat-2.pom
Source104: jboss-sasl-1.0.5.Final-redhat-2-javadoc.jar
Source105: jboss-sasl-1.0.5.Final-redhat-2.jar
Source106: jboss-sasl-1.0.5.Final-redhat-2-project-sources.tar.gz
%endif


BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-sasl-%{namedversion}-%{release}-root

%description
SASL Provider for J2SE 

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-sasl
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-sasl -T -b 100                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-sasl-%{namedversion}.jar %{buildroot}%{_javadir}
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-sasl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%endif
%{__cp} -p %{_sourcedir}/jboss-sasl-%{namedversion}-sources.jar %{buildroot}%{_javadir}
   
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-sasl-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jboss-sasl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-sasl-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-sasl-%{namedversion}/META-INF
%{__ln_s} jboss-sasl-%{namedversion} %{buildroot}%{_javadocdir}/jboss-sasl
%endif

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files -n %{?scl_prefix}jboss-sasl
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}*/jboss-sasl-%{namedversion}.jar
%{_javadir}*/jboss-sasl.jar
%{_javadir}*/jboss-sasl-%{namedversion}-sources.jar
%{_javadir}*/jboss-sasl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-sasl-%{namedversion}
%{_javadocdir}/jboss-sasl
%endif

%changelog
* Wed Jul 01 2015 Hui Wang <huwang@redhat.com> - 1.0.5-2.Final_redhat_2.1
- build for eap7

* Tue Jun 30 2015 Hui Wang <huwang@redhat.com> - 1.0.5-2.Final_redhat_2.1
- build for eap7

* Fri Nov 21 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final

* Wed Mar 26 2014 Yong Yang <yyang@redhat.com> - 1.0.4-2.Final_redhat_1.1
- rebuild wrapper

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 1.0.4-1.Final_redhat_1.1
- rebuild

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 1.0.3-3.Final_redhat_1.1
- 1.0.4.Final mead scheduler

* Tue Mar 25 2014 Yong Yang <yyang@redhat.com> - 1.0.3-3.Final_redhat_1.1
- 1.0.4.Final mead scheduler

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3-2.Final_redhat_1
- Rebuild for MD5

* Fri Sep 07 2012 Hui Wang <huwang@redhat.com> - 1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Sat Aug 25 2012 Hui Wang <huwang@redhat.com> - 1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.1-2.Final_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-1.Final_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-1.Final_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Hui Wang <huwang@redhat.com> - 1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Wed Mar 14 2012 Hui Wang <huwang@redhat.com> - 1.0.0-2.Final_redhat_1.1
- New wrapper
- Remove extra %%{name} from installing path

* Mon Feb 20 2012 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1
- Upgrade to 1.0.0.Final

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-0.3.Beta9_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Hui Wang <huwang@redhat.com> - 1.0.0-0.2.Beta9_redhat_1
- Wrapper RPM build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
